curl --request GET \
--url https://getunblocked.com/api/v1/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"collectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"title": "Password Reset Guide",
"uri": "https://my.company.com/apollo/ticket/123456"
}
]{
"status": 400
}{
"status": 400
}List Documents
List all documents.
Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Query Parameters
Limit used to constrain results of list operations. When not specified a default limit of 25 is used.
A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.
1 <= x <= 200Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Response
OK
The ID of the document.
The ID of the collection to which the document should be added.
The date and time the document was first added.
The date and time the document was last updated.
A short title for the document in plain text.
"Password Reset Guide"
A URL of the original source document that uniquely identifies the document. These will be used in answer references to link to the original source.
"https://my.company.com/apollo/ticket/123456"